#pragma once

#ifndef WBCLFZSYSTEMMODULE_H
#define WBCLFZSYSTEMMODULE_H

#include <QtWidgets/QMainWindow>
#include "ui_WBCLFZSystemModule.h"

class WBCLFZSystemModule : public QMainWindow
{
    Q_OBJECT

public:
    WBCLFZSystemModule(QWidget *parent = nullptr);
    ~WBCLFZSystemModule();

public slots:
	void on_pushButton_PointCloud_clicked();
	void on_pushButton_TableProcesss_clicked();
	void on_pushButton_ModelProcess_clicked();
	void on_pushButton_EchoProcess_clicked();

private:
    Ui::WBCLFZSystemModuleClass ui;
};


// 启动点云编辑模块
void startPointProcess();

// 启动表格编辑模块
void startTableProcess();

// 启动模型编辑模块
void startModelProcess();

// 启动回波处理模块
void startEchoProcess();

#endif